Copyright: DirectControl for DirectX


DirectControl 1.0.36

bgr software

Brian Galm

7941 Little Dipper Avenue

Anchorage, AK  99504

bgalm@arctic.net

Contents

Disclaimer

Trademarks and Development Tools Used

Program

DirectControl Options

Disclaimer

The software and accompanying written materials (including

instructions for use) are provided "AS IS" without warranty

of any kind. Further, BGR Software does not warrant, guarantee, or make

any representations regarding the use, or the results of the use,

of the software or written materials in terms of correctness,

accuracy, reliability, currentness, or otherwise. The entire risk

as to the result and performance of the software is assumed by

you. If the software or written materials are defective you, and

not BGR Software or its dealers, distributors, agents or employees, assume

the entire cost of all necessary servicing, repair, or correction.

No warranties of any kind, either express or implied,

including but not limited to the implied warranties of

merchantability and fitness for a particular purpose, that

are made by BGR Software on this BGR Software product. No oral or written

information or advice given by BGR Software, its dealers, distributors,

agents or employees shall create a warranty or in any way increase

the scope of this warranty, and you may not rely on any such

information or advice. This warranty gives you specific

legal rights. You may have other legal rights, which vary

from state to state.

Neither BGR Software nor anyone else who has been involved with the

creation, production, or delivery of this product shall be

liable for any direct, indirect, consequential, or incidental

damages (including but not limited to damages for loss of

business profits, business interruption, loss of business

information, and the like) arising out of the use or inability

to use such product even if BGR Software has been advised of the

possibility of such damages. Because some states do not allow the

exclusion or limitation of liability for consequential or

incidental damages, the above limitation may not apply to you.

Trademarks

All trademarks and copyrights belong to their respective holders.

Development Tools Used

Environment	Visual Basic 5.0 Professional

Program

Program DirectControl

Name     DCONTROL.EXE

Installation Requirements

This program requires the Microsoft Visual Basic 5.0 Runtimes. These are standard Microsoft support files, which are necessary to run any modern application written in the Visual Basic 5 programming language.  You can download these Runtime files from one of the links listed below:

ftp://ftp.cdrom.com/pub/3dfxmania/utility/vb5rtsp3.exe

ftp://mirrors.telepac.pt/pub/3dfxmania/utility/vb5rtsp3.exe

Please make sure VB5 Runtimes are installed BEFORE you try to install DirectControl. Just double-click on the EXE or ZIP file to update/install all the latest runtime DLL files from Microsoft.  These will be useful for many other new programs as well.

NOTE: You may be prompted to reboot during the runtimes installation process and required to run the installation a second time after your system reboots. This is often necessary to update the OLE automation DLL files that may be in use at the time.

It is not necessary to first uninstall your previous version of DirectControl.  This new version will overwrite any previous installations. The DirectControl installation will install the following files to your hard drive in the DirectControl (DCONTROL) directory:

DControl.exe

DControl.hlp

These files will be installed to your windows system directory:

COMDLG32.OCX

What is it

DirectControl is a system utility that allows the user to ENABLE or DISABLE Direct3D, DirectDraw, and DirectSound Hardware Acceleration on-the-fly.

DirectControl Options

VIDEO DEVICES

DIRECTX

DirectX Setup

DirectX Driver Tool

DirectX Information

DirectX Control Panel

DirectX Version

MONSTER SOUND

Control Panel

DirectSound Safe Mode

AUREAL SOUND

This option loads the Aureal (A3D) Control Panel.

ENABLE ALL

This option enables all hardware acceleration (Direct3D, DirectDraw and DirectSound).

DISABLE ALL

This option disables all hardware acceleration (Direct3D, DirectDraw and DirectSound).

DIRECT3D

This option enables or disables hardware acceleration for Direct3D.

DIRECTDRAW

This option enables or disables hardware acceleration for DirectDraw.

DIRECTSOUND

This option enables or disables hardware acceleration for DirectSound.

DIRECTINPUT

WINDOWS GDI

SETTINGS

START WITH WINDOWS

This option allows DirectControl to start with Windows.

SET PATH

Use this option to locate DirectControl after installation. The Set Path defaults to C:\PROGRAM FILES\DCONTROL.

HELP

This option displays the DirectControl Help File (this file).

ABOUT

Display the DirectControl About box.

EXIT

This option closes DirectControl.

Whats New In This Version

Version 1.0.9

-Initial release

Version 1.0.10

-Added DirectX Control Panel

-Added Aureal Sound Control Panel

-Added Windows Startup

-Added Set Path

Version 1.0.12

-Added support for multiple 3D devices (Primary and Secondary)

Primary is generally your standard 2D video card, with or without 3D support

Secondary is your 3D addin card that has its own video output (ie Monster 3D)

-Added USE HARDWARE BLT for DirectDraw

-Added USE HARDWARE TRANSPARENCY for DirectDraw

-Added USE HARDWARE COLOR FILL for DirectDraw

-Added SHOW FRAME RATE for DirectDraw

-Added MMX SUPPORT for DirectDraw

-Added WIDE SURFACES for DirectDraw

Version 1.0.15

-Save DirectDraw and Direct3D hardware information to WIN.INI

-Added DirectDraw and Direct3D Debug Level

-Removed ‘Exit DirectControl’ dialog box (users are no longer prompted when exiting or restarting Windows

Version 1.0.16

-Added Checkmarks to show Enable or Disable status for Direct3D, DirectDraw, DirectSound, Windows Startup and Primary / Secondary Devices

Version 1.0.18

-Added Monster Sound Control Panel

-Added Monster Sound Safe Mode

-Added Driver Versions for DirectX, DirectDraw and Monster Sound

-Correctly identifies Diamond Monster Sound and/or Aureal 3D Control Panel, if installed

Version 1.0.19

-Added DirectX Setup

-Added DirectX Driver Tool

-Added DirectX Driver Information

Version 1.0.24

-Added Splash screen

-Added Display Properties

-Added DirectInput

Version 1.0.25

-Added DirectX Component listing in About box

Version 1.0.28

-Added SETUPDC.INF installation script

-Added DirectX Doctor (Enable, Disable and Repair)

-Added Windows GDI Acceleration options

Version 1.0.30

-Removed SUBCLASS.OCX, system tray support now written without OCX and DLL requirements

-Added support for all mouse buttons

LEFT BUTTON

(Opens/Closes About Box)

LEFT BUTTON DOUBLE

MIDDLE BUTTON

MIDDLE BUTTON DOUBLE

RIGHT BUTTON

(Opens Popup Menu)

RIGHT BUTTON DOUBLE

Version 1.0.32

-Corrected the ‘Type Mismatch’ bug

-Disabled DirectX Doctor

Version 1.0.34

-Removed DirectX Doctor

-Removed Start with Windows option (this has been replaced by the installation)

-Updated Online Help file

-Corrected SET PATH option

-Added RIGHT BUTTON DOUBLE (Exits DirectControl)

-Added DirectControl Status icon

-Added EXIT option on menu

Version 1.0.36

-Added DirectX and Aureal 3D File Properties (Double-click or right-click files in About Box)

-Added DirectX and Aureal 3D Control Panel applets

-Added A3D Output Mode (headphone and speaker) support

-Added user name information

-Corrected Windows GDI Hardware status

Known Problems

None

Acknowledgements

Special thanks to Tim Tibbetts and the rest of the folks at www.3dfxmania.com for providing DirectControl with ‘a place on the web’.

Alex van Kaam

LHOINES [LHOINES@concentric.net]